Bug 1565806 - Typo in ktikz auto-completion
Summary: Typo in ktikz auto-completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ktikz
Version: 27
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 19:57 UTC by nanority
Modified: 2018-10-04 14:09 UTC (History)
1 user (show)

Fixed In Version: ktikz-0.12-3.fc27 ktikz-0.12-3.fc28 ktikz-0.12-6.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-27 16:17:50 UTC
Type: Bug


Attachments (Terms of Use)
Patch for typo (909 bytes, patch)
2018-04-10 19:57 UTC, nanority
no flags Details | Diff

Description nanority 2018-04-10 19:57:17 UTC
Created attachment 1420064 [details]
Patch for typo

Description of problem:
The auto-completion and syntax highlighting has a typo for the node option "text height" which is spelled "text heigth" in the program resulting in a compilation error of LaTeX.

Version-Release number of selected component (if applicable):
ktikz-0.12.2.fc27.src

How reproducible:
Reproducible every time

Steps to Reproduce:
1. Start ktikz
2. Create a tikzpicture environment using "\begin{tikzpicture}" and "\end{tikzpicture}"
3. In the environment, add a node by typing "\node [text"
4. ktikz will suggest auto-completion with (besides other options) "text heigth"
5. Choosing the option and finishing the command, e.g. like "\node [text heigth=1] at (0,0) {};" will result in a compilation error of LaTeX.

For the sake of completeness the full tikz-script:
\begin{tikzpicture}
\node [text heigth=1] at (0,0) {};
\end{tikzpicture}

Actual results:
[LaTeX] Line 2: Package pgfkeys Error: I do not know the key '/tikz/text heigth', to which you passed '1', and I am going to ignore it. Perhaps you misspelled it.
[LaTeX] Line 2: See the pgfkeys package documentation for explanation. ...                                                                                                
l.-5 \node [text heigth=1]
                          at (0,0) {}; 
[LaTeX] Line 2:  ==> Fatal error occurred, no output PDF f

Expected results:
Auto-completion with the option "text height" and successful compilation.

Additional info:
- Tested in qtikz.
- Based on ktikz-0.12.2.fc27.src I created a patch (attached), but did not test it so far.
- The bug should probably be reported upstream.

Comment 1 nanority 2018-08-14 08:17:03 UTC
Hi!

The bug still exists. Any chance to have this fixed at some point?

Regrads,
Nanority

Comment 2 Mohamed El Morabity 2018-08-28 15:34:35 UTC
Hello,

thanks for your bug report. Could you report it upstream (https://github.com/fhackenberger/ktikz/issues) first?
Once submitted, I'll be habby to backport it in the Fedora package.

Comment 3 nanority 2018-09-01 19:09:18 UTC
Hi!

Upon the initial filing of this bug I also created a pull-request with my patch upstream (https://github.com/fhackenberger/ktikz/pull/20). Unfortunately, there has been so reaction so far.

Comment 4 Fedora Update System 2018-09-18 10:19:42 UTC
ktikz-0.12-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-901e3584cd

Comment 5 Fedora Update System 2018-09-18 10:19:47 UTC
ktikz-0.12-6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dc782c1f3e

Comment 6 Fedora Update System 2018-09-18 10:19:52 UTC
ktikz-0.12-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-feb80e2de8

Comment 7 Fedora Update System 2018-09-20 04:57:52 UTC
ktikz-0.12-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-901e3584cd

Comment 8 Fedora Update System 2018-09-20 11:10:06 UTC
ktikz-0.12-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-feb80e2de8

Comment 9 Fedora Update System 2018-09-20 16:16:40 UTC
ktikz-0.12-6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dc782c1f3e

Comment 10 Fedora Update System 2018-09-27 16:17:50 UTC
ktikz-0.12-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-28 18:20:49 UTC
ktikz-0.12-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-04 14:09:31 UTC
ktikz-0.12-6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.